Jump to content
Sign in to follow this  
Dwarden

BattlEye Installers (A2:OA, A2: RFT, A2)

Recommended Posts

Build 87662 is now supported.
Confirmed, no longer kicked off with the latest beta.

Share this post


Link to post
Share on other sites

Yup, seems good here.

I'm assuming this fix is also the reason we just got kicked using hotfix#1, despite Dwarden saying it would be fine?

Share this post


Link to post
Share on other sites

With the 1.61 hotfix, I get kicked from any server running Battleye since today. neither with vannilla OA or Project Reality.

Share this post


Link to post
Share on other sites

Same here.

20:21:44 Player BTK kicked off by BattlEye: Corrupted Memory #9

20:21:44 Player Soldier.45 kicked off by BattlEye: Corrupted Memory #9

Both clients and server are using 87662 + Hotfix

Share this post


Link to post
Share on other sites

It's because the latest Battleye version 1.147 doesn't recognize the 1.61 hotfix as a version of ArmA 2 OA/BAF/PMC. So it gives the error Unknown Game Version. Dwarden said the Battleye maker is working on it.

Share this post


Link to post
Share on other sites
Confirmed, no longer kicked off with the latest beta.
Yes but thats no solution because 87662 has a nasty vehicle proxy bug. Im gettign kicked all the time with the last working hotfix 87648 and thats a very annoying thing because I can't roll back.

Share this post


Link to post
Share on other sites

I have been monitoring my server and have notice this:

20:21:12 BattlEye Server: Received invalid data from BE Master (6)

20:21:12 BattlEye Server: Update attempt failed

show up quite a bit on the server console. Is this because of the new BE patch or is it something else. I replaced my old Linksys router this morning to a new NetGear router and that was when I started noticing the message about invalid data from BE Master.

Share this post


Link to post
Share on other sites

Same error!

3:50:52 BattlEye Server: Update successfully completed. Restarting...

3:50:52 BattlEye Server: Initialized (v1.127)

6:44:35 BattlEye Server: Received invalid data from BE Master (6)

6:44:35 BattlEye Server: Update attempt failed

Share this post


Link to post
Share on other sites

This worked for several minutes, but during the game, it read that the BattlEye was updating to 1.148. Then I got kicked for "Unknown BattlEye Game Type" or something like that. Is there a solution to the problem?

Share this post


Link to post
Share on other sites

Update to 1.148 ok here. Both Beta shortcut and Vanilla OA work fine now.

Share this post


Link to post
Share on other sites

All our servers running BattleEye also appear to be having this error:

BattleEye Server: Received invalid data from BE Master (6)

BattleEye Server: Update attempt failed

Server is running BE version 1.127 and OA 1.60.87662

Share this post


Link to post
Share on other sites

Server build 1.60.0.87548

11:08:26 Dedicated host created.

11:08:32 BattlEye Server: Initialized (v1.127)

11:09:55 BattlEye Server: Received invalid data from BE Master (6)

11:09:55 BattlEye Server: Update attempt failed

this gets repeated in about 2 min intervals

But everything still works, clients getting updated to 1.148, nobody has been kicked out so far for bad version. So its probably just the check for new version that fails

Share this post


Link to post
Share on other sites

Myself and 3 others were getting booted after about 45min of play last nite..server requiring 1.148..said it was updating them whammo..booted for memory leak...2 of us used BE un installers then re-installed via the link here on the first page..didnt have anymore issues for 2 hours after that...will see if any issues appear tonite.

JC

Share this post


Link to post
Share on other sites

Having problems with BE as well, running A2:OA 1.60.87662 beta and tried to play on a DS server today.

First it looked fine and informed me that it was updating the BE client to the latest then restarting but after a ~10-20 sec I got the following error message and was kicked...

You were kicked off the Game. (BattlEye: Corrupted Memory #25)

Manually downloaded the DLL's from your site and installed but same thing happend again.

/KC

Share this post


Link to post
Share on other sites
booted for memory leak

You mean "Corrupted Memory"?

---------- Post added at 22:53 ---------- Previous post was at 22:52 ----------

Having problems with BE as well, running A2:OA 1.60.87662 beta and tried to play on a DS server today.

First it looked fine and informed me that it was updating the BE client to the latest then restarting but after a ~10-20 sec I got the following error message and was kicked...

You were kicked off the Game. (BattlEye: Corrupted Memory #25)

Manually downloaded the DLL's from your site and installed but same thing happend again.

/KC

So you are still kicked every time now?

Share this post


Link to post
Share on other sites

We've got the same problem here.

A2OA Version: 1.60.87580

A2OA Linux Dedicated Server: 1.60.87589

Battleye from: http://www.battleye.com/download.html

23:22:06 Player XXX kicked off by BattlEye: Corrupted Memory #3
23:22:06 Player XXX disconnected.

But not everbody get's that error.

Edited by [ASO] Daddybear

Share this post


Link to post
Share on other sites
So you are still kicked every time now?

Yes, I tried 4 times before I gave up...

The server was [HUD]Arma2-DK and it was running 1.60.87662 as well (if it matters) and I usually play on that server without issues.

/KC

Share this post


Link to post
Share on other sites

Here are the servers output when keycat trying to connect.

21:35:38 BattlEye Server: Player #0 KeyCat (90.xxx.xx.x:2304) connected

21:35:39 BattlEye Server: Player #0 KeyCat - GUID: 22xxxxxxxxxxxxxx (unverified)

21:35:39 BattlEye Server: Verified GUID (22xxxxxxxxxxxxxxx) of player #0 KeyCat

21:40:10 Player KeyCat kicked off by BattlEye: Corrupted Memory #25

Server also cant update be with flw msg:

23:00:06 BattlEye Server: Received invalid data from BE Master

23:00:06 BattlEye Server: Update attempt failed

Share this post


Link to post
Share on other sites

Ok, so I reinstalled the Arma 2 BattlEye from the first link, and I then installed the OA and RE parts too. I then ran Arma II Combined Operations (Including Reinforcements and OA) and started a multiplayer game. The white text at the bottom left of my screen stated, "Requiring BattlEye 1.148 Update...." I was then promptly kicked off for the same "BattlEye Unknown Game Type."

Edited by TheLorax

Share this post


Link to post
Share on other sites
Ok, so I reinstalled the Arma 2 BattlEye from the first link, and I then installed the OA and RE parts too. I then ran Arma II Combined Operations (Including Reinforcements and OA) and started a multiplayer game. The white text at the bottom left of my screen stated, "Requiring BattlEye 1.148 Update...." I was then promptly kicked off for the same "BattlEye Unknown Game Type."

What game build are you using?

Share this post


Link to post
Share on other sites

Eh, I'm using the 1.60 patch with the latest hotfix. I'm not really sure how to find out my game's current build. Sorry about that.

Share this post


Link to post
Share on other sites

Please sign in to comment

You will be able to leave a comment after signing in



Sign In Now
Sign in to follow this  

×